package com.live.mylivewallpaper.activity;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.view.View;

import com.live.mylivewallpaper.R;
import com.live.mylivewallpaper.base.BaseActivity;
import com.live.mylivewallpaper.databinding.ActivityWelcomeBinding;

public class WelcomeActivity extends BaseActivity<ActivityWelcomeBinding> {

    private static final int SPLASH_TIME_OUT = 2000;
    private CountDownTimer countDownTimer;

    @Override
    protected ActivityWelcomeBinding getViewBinding() {
        return ActivityWelcomeBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {

        countDownTimer = new CountDownTimer(SPLASH_TIME_OUT,100) {
            @Override
            public void onTick(long l) {
                float v = 100 - (float) l / SPLASH_TIME_OUT * 100;
                int v1 = (int) v;
                vb.progressBar.setProgress(v1);
            }

            @Override
            public void onFinish() {
                vb.progressBar.setProgress(100);
                Intent intent = new Intent(WelcomeActivity.this, MainActivity.class);
                startActivity(intent);
                finish();
            }
        };
        countDownTimer.start();
    }

    @Override
    protected void onInitClick() {

    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return true;
    }

    @Override
    public void onClick(View view) {

    }
}